import React, { FC, useMemo } from 'react';
import { ListItemsModel, ListItemValueModel } from '../listItemsModels';
import { ScrollView, View } from 'react-native';
import { LabelMediumText } from '../../../atoms';
import { styles } from './style';

export const ListItemsWrapper: FC<ListItemsModel> = ({
  listItemsValues,
  ItemComponent,
  title,
  onClick,
  scrollEnabled= true,
}) => {
  return (
    <ScrollView scrollEnabled={scrollEnabled}>
      {title &&
        <View style={styles.listItemsWrapperTitle}>
          <LabelMediumText color={styles.listItemsWrapperTitle.color}>{title}</LabelMediumText>
        </View>
      }
      {ItemComponent && listItemsValues?.map((item, key) => {
        return (
          <View key={key} style={styles.listItemsWrapperRow}>
            {item &&
              <ItemComponent
                key={item?.id}
                Icon={item?.Icon}
                LeftIcon={item?.LeftIcon}
                RightIcon={item?.RightIcon}
                text={item?.text}
                description={item?.description}
                onClick={() => onClick?.(item?.id)}
                imageURL={item?.imageURL}
              />
            }
          </View>
        );
      })}
    </ScrollView>
  );
};

/*
{memorizedItem?.Component &&
                <memorizedItem.Component
                  key={memorizedItem?.id}
                  Icon={memorizedItem?.Icon}
                  LeftIcon={memorizedItem?.LeftIcon}
                  RightIcon={memorizedItem?.RightIcon}
                  text={memorizedItem?.text}
                  description={memorizedItem?.description}
                  onClick={() => onClick?.(memorizedItem?.id)}
                  imageURL={memorizedItem?.imageURL}
                />
            }
 */
